CfnContainer L1 construct
The AWS::Lightsail::Container resource specifies a container service.
A Lightsail container service is a compute resource to which you can deploy containers.
Example
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_lightsail as lightsail } from 'aws-cdk-lib';
const cfnContainer = new lightsail.CfnContainer(this, 'MyCfnContainer', {
power: 'power',
scale: 123,
serviceName: 'serviceName',
// the properties below are optional
containerServiceDeployment: {
containers: [{
command: ['command'],
containerName: 'containerName',
environment: [{
value: 'value',
variable: 'variable',
}],
image: 'image',
ports: [{
port: 'port',
protocol: 'protocol',
}],
}],
publicEndpoint: {
containerName: 'containerName',
containerPort: 123,
healthCheckConfig: {
healthyThreshold: 123,
intervalSeconds: 123,
path: 'path',
successCodes: 'successCodes',
timeoutSeconds: 123,
unhealthyThreshold: 123,
},
},
},
isDisabled: false,
privateRegistryAccess: {
ecrImagePullerRole: {
isActive: false,
principalArn: 'principalArn',
},
},
publicDomainNames: [{
certificateName: 'certificateName',
domainNames: ['domainNames'],
}],
tags: [{
key: 'key',
value: 'value',
}],
});
from aws_cdk import CfnTag
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_lightsail as lightsail
cfn_container = lightsail.CfnContainer(self, "MyCfnContainer",
power="power",
scale=123,
service_name="serviceName",
# the properties below are optional
container_service_deployment=lightsail.CfnContainer.ContainerServiceDeploymentProperty(
containers=[lightsail.CfnContainer.ContainerProperty(
command=["command"],
container_name="containerName",
environment=[lightsail.CfnContainer.EnvironmentVariableProperty(
value="value",
variable="variable"
)],
image="image",
ports=[lightsail.CfnContainer.PortInfoProperty(
port="port",
protocol="protocol"
)]
)],
public_endpoint=lightsail.CfnContainer.PublicEndpointProperty(
container_name="containerName",
container_port=123,
health_check_config=lightsail.CfnContainer.HealthCheckConfigProperty(
healthy_threshold=123,
interval_seconds=123,
path="path",
success_codes="successCodes",
timeout_seconds=123,
unhealthy_threshold=123
)
)
),
is_disabled=False,
private_registry_access=lightsail.CfnContainer.PrivateRegistryAccessProperty(
ecr_image_puller_role=lightsail.CfnContainer.EcrImagePullerRoleProperty(
is_active=False,
principal_arn="principalArn"
)
),
public_domain_names=[lightsail.CfnContainer.PublicDomainNameProperty(
certificate_name="certificateName",
domain_names=["domainNames"]
)],
tags=[CfnTag(
key="key",
value="value"
)]
)
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import software.amazon.awscdk.services.lightsail.*;
CfnContainer cfnContainer = CfnContainer.Builder.create(this, "MyCfnContainer")
.power("power")
.scale(123)
.serviceName("serviceName")
// the properties below are optional
.containerServiceDeployment(ContainerServiceDeploymentProperty.builder()
.containers(List.of(ContainerProperty.builder()
.command(List.of("command"))
.containerName("containerName")
.environment(List.of(EnvironmentVariableProperty.builder()
.value("value")
.variable("variable")
.build()))
.image("image")
.ports(List.of(PortInfoProperty.builder()
.port("port")
.protocol("protocol")
.build()))
.build()))
.publicEndpoint(PublicEndpointProperty.builder()
.containerName("containerName")
.containerPort(123)
.healthCheckConfig(HealthCheckConfigProperty.builder()
.healthyThreshold(123)
.intervalSeconds(123)
.path("path")
.successCodes("successCodes")
.timeoutSeconds(123)
.unhealthyThreshold(123)
.build())
.build())
.build())
.isDisabled(false)
.privateRegistryAccess(PrivateRegistryAccessProperty.builder()
.ecrImagePullerRole(EcrImagePullerRoleProperty.builder()
.isActive(false)
.principalArn("principalArn")
.build())
.build())
.publicDomainNames(List.of(PublicDomainNameProperty.builder()
.certificateName("certificateName")
.domainNames(List.of("domainNames"))
.build()))
.tags(List.of(CfnTag.builder()
.key("key")
.value("value")
.build()))
.build();
// Install: dotnet add package Amazon.CDK.Lib
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
using Amazon.CDK.AWS.Lightsail;
var cfnContainer = new CfnContainer(this, "MyCfnContainer", new CfnContainerProps {
Power = "power",
Scale = 123,
ServiceName = "serviceName",
// the properties below are optional
ContainerServiceDeployment = new ContainerServiceDeploymentProperty {
Containers = new [] { new ContainerProperty {
Command = new [] { "command" },
ContainerName = "containerName",
Environment = new [] { new EnvironmentVariableProperty {
Value = "value",
Variable = "variable"
} },
Image = "image",
Ports = new [] { new PortInfoProperty {
Port = "port",
Protocol = "protocol"
} }
} },
PublicEndpoint = new PublicEndpointProperty {
ContainerName = "containerName",
ContainerPort = 123,
HealthCheckConfig = new HealthCheckConfigProperty {
HealthyThreshold = 123,
IntervalSeconds = 123,
Path = "path",
SuccessCodes = "successCodes",
TimeoutSeconds = 123,
UnhealthyThreshold = 123
}
}
},
IsDisabled = false,
PrivateRegistryAccess = new PrivateRegistryAccessProperty {
EcrImagePullerRole = new EcrImagePullerRoleProperty {
IsActive = false,
PrincipalArn = "principalArn"
}
},
PublicDomainNames = new [] { new PublicDomainNameProperty {
CertificateName = "certificateName",
DomainNames = new [] { "domainNames" }
} },
Tags = new [] { new CfnTag {
Key = "key",
Value = "value"
} }
});
// Install: go get github.com/aws/aws-cdk-go/awscdk/v2
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import "github.com/aws/aws-cdk-go/awscdk"
cfnContainer := awscdk.Aws_lightsail.NewCfnContainer(this, jsii.String("MyCfnContainer"), &CfnContainerProps{
Power: jsii.String("power"),
Scale: jsii.Number(123),
ServiceName: jsii.String("serviceName"),
// the properties below are optional
ContainerServiceDeployment: &ContainerServiceDeploymentProperty{
Containers: []interface{}{
&ContainerProperty{
Command: []*string{
jsii.String("command"),
},
ContainerName: jsii.String("containerName"),
Environment: []interface{}{
&EnvironmentVariableProperty{
Value: jsii.String("value"),
Variable: jsii.String("variable"),
},
},
Image: jsii.String("image"),
Ports: []interface{}{
&PortInfoProperty{
Port: jsii.String("port"),
Protocol: jsii.String("protocol"),
},
},
},
},
PublicEndpoint: &PublicEndpointProperty{
ContainerName: jsii.String("containerName"),
ContainerPort: jsii.Number(123),
HealthCheckConfig: &HealthCheckConfigProperty{
HealthyThreshold: jsii.Number(123),
IntervalSeconds: jsii.Number(123),
Path: jsii.String("path"),
SuccessCodes: jsii.String("successCodes"),
TimeoutSeconds: jsii.Number(123),
UnhealthyThreshold: jsii.Number(123),
},
},
},
IsDisabled: jsii.Boolean(false),
PrivateRegistryAccess: &PrivateRegistryAccessProperty{
EcrImagePullerRole: &EcrImagePullerRoleProperty{
IsActive: jsii.Boolean(false),
PrincipalArn: jsii.String("principalArn"),
},
},
PublicDomainNames: []interface{}{
&PublicDomainNameProperty{
CertificateName: jsii.String("certificateName"),
DomainNames: []*string{
jsii.String("domainNames"),
},
},
},
Tags: []CfnTag{
&CfnTag{
Key: jsii.String("key"),
Value: jsii.String("value"),
},
},
})
Initializer
new CfnContainer(scope: Construct, id: string, props: CfnContainerProps)
CfnContainer(scope: Construct, id: str, props: CfnContainerProps)
new CfnContainer(Construct scope, String id, CfnContainerProps props)
new CfnContainer(Construct scope, string id, CfnContainerProps props)
NewCfnContainer(Scope Construct, Id *string, Props CfnContainerProps)
Construct Props
containerServiceDeploymentoptionalIResolvable | CfnContainer.ContainerServiceDeploymentPropertycontainer_service_deploymentoptionaltyping.Union[IResolvable, ContainerServiceDeploymentProperty]containerServiceDeploymentoptionalIResolvableContainerServiceDeploymentoptionalIResolvableContainerServiceDeploymentoptionalinterface{}#isDisabledoptionalboolean | IResolvableis_disabledoptionaltyping.Union[bool, IResolvable]isDisabledoptionalBooleanIsDisabledoptionalboolIsDisabledoptionalinterface{}#The power specifies the amount of RAM, the number of vCPUs, and the base price of the container service.
privateRegistryAccessoptionalIResolvable | CfnContainer.PrivateRegistryAccessPropertyprivate_registry_accessoptionaltyping.Union[IResolvable, PrivateRegistryAccessProperty]privateRegistryAccessoptionalIResolvablePrivateRegistryAccessoptionalIResolvablePrivateRegistryAccessoptionalinterface{}#notes
For more information, see Configuring access to an Amazon ECR private repository for an Amazon Lightsail container service in the Amazon Lightsail Developer Guide .
publicDomainNamesoptionalIResolvable | IResolvable | CfnContainer.PublicDomainNameProperty[]public_domain_namesoptionaltyping.Union[IResolvable, typing.List[typing.Union[IResolvable, PublicDomainNameProperty]]]publicDomainNamesoptionalIResolvablePublicDomainNamesoptionalIResolvablePublicDomainNamesoptionalinterface{}#notes
You can specify up to four public domain names for a container service. The domain names that you specify are used when you create a deployment with a container that is configured as the public endpoint of your container service.
If you don't specify public domain names, then you can use the default domain of the container service.
You must create and validate an SSL/TLS certificate before you can use public domain names with your container service. Use the AWS::Lightsail::Certificate resource to create a certificate for the public domain names that you want to use with your container service.
The scale specifies the allocated compute nodes of the container service.
Properties
attrContainerArnstringattr_container_arnstrattrContainerArnStringAttrContainerArnstringAttrContainerArn*stringrequired#attrPrincipalArnstringattr_principal_arnstrattrPrincipalArnStringAttrPrincipalArnstringAttrPrincipalArn*stringrequired#attrPrivateRegistryAccessEcrImagePullerRolePrincipalArnstringattr_private_registry_access_ecr_image_puller_role_principal_arnstrattrPrivateRegistryAccessEcrImagePullerRolePrincipalArnStringAttrPrivateRegistryAccessEcrImagePullerRolePrincipalArnstringAttrPrivateRegistryAccessEcrImagePullerRolePrincipalArn*stringrequired#If no public endpoint is specified in the current deployment, this URL returns a 404 response.
CFN_RESOURCE_TYPE_NAMEstringcfn_resource_type_namestrCFN_RESOURCE_TYPE_NAMEStringCFN_RESOURCE_TYPE_NAMEstringCFN_RESOURCE_TYPE_NAME*stringrequiredstatic#cfnOptionsICfnResourceOptionscfn_optionsICfnResourceOptionscfnOptionsICfnResourceOptionsCfnOptionsICfnResourceOptionsCfnOptionsICfnResourceOptionsrequired#cfnResourceTypestringcfn_resource_typestrcfnResourceTypeStringCfnResourceTypestringCfnResourceType*stringrequired#containerRefContainerReferencecontainer_refContainerReferencecontainerRefContainerReferenceContainerRefContainerReferenceContainerRefContainerReferencerequired#containerServiceDeploymentmay be undefinedIResolvable | CfnContainer.ContainerServiceDeploymentPropertycontainer_service_deploymentmay be undefinedtyping.Union[IResolvable, ContainerServiceDeploymentProperty]containerServiceDeploymentmay be undefinedIResolvableContainerServiceDeploymentmay be undefinedIResolvableContainerServiceDeploymentmay be undefinedinterface{}#creationStackstring[]creation_stacktyping.List[str]creationStackList<String>CreationStackstring[]CreationStack*[]*stringrequired#isDisabledmay be undefinedboolean | IResolvableis_disabledmay be undefinedtyping.Union[bool, IResolvable]isDisabledmay be undefinedBooleanIsDisabledmay be undefinedboolIsDisabledmay be undefinedinterface{}#The logical ID of the element is calculated from the path of the resource node in the construct tree.
To override this value, use overrideLogicalId(newLogicalId).
privateRegistryAccessmay be undefinedIResolvable | CfnContainer.PrivateRegistryAccessPropertyprivate_registry_accessmay be undefinedtyping.Union[IResolvable, PrivateRegistryAccessProperty]privateRegistryAccessmay be undefinedIResolvablePrivateRegistryAccessmay be undefinedIResolvablePrivateRegistryAccessmay be undefinedinterface{}#publicDomainNamesmay be undefinedIResolvable | IResolvable | CfnContainer.PublicDomainNameProperty[]public_domain_namesmay be undefinedtyping.Union[IResolvable, typing.List[typing.Union[IResolvable, PublicDomainNameProperty]]]publicDomainNamesmay be undefinedIResolvablePublicDomainNamesmay be undefinedIResolvablePublicDomainNamesmay be undefinedinterface{}#If, by any chance, the intrinsic reference of a resource is not a string, you could coerce it to an IResolvable through Lazy.any({ produce: resource.ref }).
CfnElements must be defined within a stack scope (directly or indirectly).
Methods
addDeletionOverride(path: string): voiddef add_deletion_override(self, path: str) -> Nonepublic void addDeletionOverride(String path)public void AddDeletionOverride(string path)func AddDeletionOverride(Path *string)#1 parameter
Parameters
pathpathpathpathPath— The path of the value to delete.
addDependency(target: CfnResource): voiddef add_dependency(self, target: CfnResource) -> Nonepublic void addDependency(CfnResource target)public void AddDependency(CfnResource target)func AddDependency(Target CfnResource)deprecated#This method has been renamed to addResourceDependency to more clearly set it apart from construct.node.addDependency. See the documentation of that function for more details.
addDependsOn(target: CfnResource): voiddef add_depends_on(self, target: CfnResource) -> Nonepublic void addDependsOn(CfnResource target)public void AddDependsOn(CfnResource target)func AddDependsOn(Target CfnResource)deprecated#notes
This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.
This method has been renamed to addResourceDependency, which makes it more clear that this method operates at a different level from the construct-level construct.node.addDependency() mechanism.
addMetadata(key: string, value: any): voiddef add_metadata(self, key: str, value: Any) -> Nonepublic void addMetadata(String key, Object value)public void AddMetadata(string key, object value)func AddMetadata(Key *string, Value interface{})#addOverride(path: string, value: any): voiddef add_override(self, path: str, value: Any) -> Nonepublic void addOverride(String path, Object value)public void AddOverride(string path, object value)func AddOverride(Path *string, Value interface{})#notes · 2 parameters
To add a property override, either use addPropertyOverride or prefix path with "Properties." (i.e. Properties.TopicName).
If the override is nested, separate each nested level using a dot (.) in the path parameter. If there is an array as part of the nesting, specify the index in the path.
To include a literal . in the property name, prefix with a \. In most programming languages you will need to write this as "\\." because the \ itself will need to be escaped.
For example,
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.0.Projection.NonKeyAttributes', ['myattribute']);
cfnResource.addOverride('Properties.GlobalSecondaryIndexes.1.ProjectionType', 'INCLUDE');
would add the overrides
"Properties": {
"GlobalSecondaryIndexes": [
{
"Projection": {
"NonKeyAttributes": [ "myattribute" ]
...
}
...
},
{
"ProjectionType": "INCLUDE"
...
},
]
...
}
The value argument to addOverride will not be processed or translated in any way. Pass raw JSON values in here with the correct capitalization for CloudFormation. If you pass CDK classes or structs, they will be rendered with lowercased key names, and CloudFormation will reject the template.
Parameters
pathpathpathpathPath— - The path of the property, you can use dot notation to override values in complex types.valuevaluevaluevalueValue— - The value.
addPropertyDeletionOverride(propertyPath: string): voiddef add_property_deletion_override(self, property_path: str) -> Nonepublic void addPropertyDeletionOverride(String propertyPath)public void AddPropertyDeletionOverride(string propertyPath)func AddPropertyDeletionOverride(PropertyPath *string)#1 parameter
Parameters
propertyPathproperty_pathpropertyPathpropertyPathPropertyPath— The path to the property.
addPropertyOverride(propertyPath: string, value: any): voiddef add_property_override(self, property_path: str, value: Any) -> Nonepublic void addPropertyOverride(String propertyPath, Object value)public void AddPropertyOverride(string propertyPath, object value)func AddPropertyOverride(PropertyPath *string, Value interface{})#Syntactic sugar for addOverride("Properties.<...>", value).
2 parameters
Parameters
propertyPathproperty_pathpropertyPathpropertyPathPropertyPath— The path of the property.valuevaluevaluevalueValue— The value.
addResourceDependency(target: CfnResource, reason?: string): voiddef add_resource_dependency(self, target: CfnResource, reason: typing.Optional[str] = None) -> Nonepublic void addResourceDependency(CfnResource target, String reason)public void AddResourceDependency(CfnResource target, string? reason = null)func AddResourceDependency(Target CfnResource, Reason *string)#notes
This can be used for resources across stacks (or nested stack) boundaries and the dependency will automatically be transferred to the relevant scope.
This method only adds dependencies between L1 resources. If you are looking for a generic construct-to-construct dependency mechanism that works for all constructs including L2s, use construct.node.addDependency instead.
applyCrossStackReferenceStrength(strength: ReferenceStrength): voiddef apply_cross_stack_reference_strength(self, strength: ReferenceStrength) -> Nonepublic void applyCrossStackReferenceStrength(ReferenceStrength strength)public void ApplyCrossStackReferenceStrength(ReferenceStrength strength)func ApplyCrossStackReferenceStrength(Strength ReferenceStrength)#When set, any cross-stack reference to this resource will use the specified strength instead of the global default from the consuming stack's context.
1 parameter
Parameters
strengthstrengthstrengthstrengthStrength— - The reference strength to use for this resource.
applyRemovalPolicy(policy?: RemovalPolicy, options?: RemovalPolicyOptions): voiddef apply_removal_policy(self, policy: typing.Optional[RemovalPolicy] = None, options: typing.Optional[RemovalPolicyOptions] = None) -> Nonepublic void applyRemovalPolicy(RemovalPolicy policy, RemovalPolicyOptions options)public void ApplyRemovalPolicy(RemovalPolicy? policy = null, RemovalPolicyOptions? options = null)func ApplyRemovalPolicy(Policy RemovalPolicy, Options RemovalPolicyOptions)#notes
The Removal Policy controls what happens to this resource when it stops being managed by CloudFormation, either because you've removed it from the CDK application or because you've made a change that requires the resource to be replaced.
The resource can be deleted (RemovalPolicy.DESTROY), or left in your AWS account for data recovery and cleanup later (RemovalPolicy.RETAIN). In some cases, a snapshot can be taken of the resource prior to deletion (RemovalPolicy.SNAPSHOT). A list of resources that support this policy can be found in the following link:
arnForContainer(resource: IContainerRef): string@staticmethod def arn_for_container(resource: IContainerRef) -> strpublic static String arnForContainer(IContainerRef resource)public static string ArnForContainer(IContainerRef resource)func ArnForContainer(Resource IContainerRef) *stringstatic#cfnPropertyName(cdkPropertyName: string): stringdef cfn_property_name(self, cdk_property_name: str) -> strpublic String cfnPropertyName(String cdkPropertyName)public string CfnPropertyName(string cdkPropertyName)func CfnPropertyName(CdkPropertyName *string) *string#getAtt(attributeName: string, typeHint?: ResolutionTypeHint): Referencedef get_att(self, attribute_name: str, type_hint: typing.Optional[ResolutionTypeHint] = None) -> Referencepublic Reference getAtt(String attributeName, ResolutionTypeHint typeHint)public Reference GetAtt(string attributeName, ResolutionTypeHint? typeHint = null)func GetAtt(AttributeName *string, TypeHint ResolutionTypeHint) Reference#Ideally, use generated attribute accessors (e.g. resource.arn), but this can be used for future compatibility in case there is no generated attribute.
1 parameter
Parameters
attributeNameattribute_nameattributeNameattributeNameAttributeName— The name of the attribute.
getMetadata(key: string): anydef get_metadata(self, key: str) -> Anypublic Object getMetadata(String key)public object GetMetadata(string key)func GetMetadata(Key *string) interface{}#inspect(inspector: TreeInspector): voiddef inspect(self, inspector: TreeInspector) -> Nonepublic void inspect(TreeInspector inspector)public void Inspect(TreeInspector inspector)func Inspect(Inspector TreeInspector)#1 parameter
Parameters
inspectorinspectorinspectorinspectorInspector— tree inspector to collect and process attributes.
isCfnContainer(x: any): boolean@staticmethod def is_cfn_container(x: Any) -> boolpublic static Boolean isCfnContainer(Object x)public static bool IsCfnContainer(object x)func IsCfnContainer(X interface{}) *boolstatic#isCfnElement(x: any): boolean@staticmethod def is_cfn_element(x: Any) -> boolpublic static Boolean isCfnElement(Object x)public static bool IsCfnElement(object x)func IsCfnElement(X interface{}) *boolstatic#Uses duck-typing instead of instanceof to allow stack elements from different versions of this library to be included in the same stack.
returns
Returns: The construct as a stack element or undefined if it is not a stack element.
isCfnResource(x: any): boolean@staticmethod def is_cfn_resource(x: Any) -> boolpublic static Boolean isCfnResource(Object x)public static bool IsCfnResource(object x)func IsCfnResource(X interface{}) *boolstatic#isConstruct(x: any): boolean@staticmethod def is_construct(x: Any) -> boolpublic static Boolean isConstruct(Object x)public static bool IsConstruct(object x)func IsConstruct(X interface{}) *boolstatic#notes · 1 parameter · returns
Use this method instead of instanceof to properly detect Construct instances, even when the construct library is symlinked.
Explanation: in JavaScript, multiple copies of the constructs library on disk are seen as independent, completely different libraries. As a consequence, the class Construct in each copy of the constructs library is seen as a different class, and an instance of one class will not test as instanceof the other class. npm install will not create installations like this, but users may manually symlink construct libraries together or use a monorepo tool: in those cases, multiple copies of the constructs library can be accidentally installed, and instanceof will behave unpredictably. It is safest to avoid using instanceof, and using this type-testing method instead.
Parameters
xxxxX— Any object.
Returns: true if x is an object created from a class which extends Construct.
obtainDependencies(): Stack | CfnResource[]def obtain_dependencies(self, ) -> typing.List[typing.Union[Stack, CfnResource]]public List<Stack> obtainDependencies()public Stack[] ObtainDependencies()func ObtainDependencies() *[]interface{}#For resources depended on directly, returns the CfnResource object. For dependencies on other stacks, returns the Stack object. The order of the array is not guaranteed.
overrideLogicalId(newLogicalId: string): voiddef override_logical_id(self, new_logical_id: str) -> Nonepublic void overrideLogicalId(String newLogicalId)public void OverrideLogicalId(string newLogicalId)func OverrideLogicalId(NewLogicalId *string)#1 parameter
Parameters
newLogicalIdnew_logical_idnewLogicalIdnewLogicalIdNewLogicalId— The new logical ID to use for this stack element.
removeDependency(target: CfnResource): voiddef remove_dependency(self, target: CfnResource) -> Nonepublic void removeDependency(CfnResource target)public void RemoveDependency(CfnResource target)func RemoveDependency(Target CfnResource)deprecated#This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.
removeResourceDependency(target: CfnResource): voiddef remove_resource_dependency(self, target: CfnResource) -> Nonepublic void removeResourceDependency(CfnResource target)public void RemoveResourceDependency(CfnResource target)func RemoveResourceDependency(Target CfnResource)#This can be used for resources across stacks (including nested stacks) and the dependency will automatically be removed from the relevant scope.
replaceDependency(target: CfnResource, newTarget: CfnResource): voiddef replace_dependency(self, target: CfnResource, new_target: CfnResource) -> Nonepublic void replaceDependency(CfnResource target, CfnResource newTarget)public void ReplaceDependency(CfnResource target, CfnResource newTarget)func ReplaceDependency(Target CfnResource, NewTarget CfnResource)#2 parameters
Parameters
targettargettargettargetTarget— The dependency to replace.newTargetnew_targetnewTargetnewTargetNewTarget— The new dependency to add.
toString(): stringdef to_string(self, ) -> strpublic String toString()public string ToString()func ToString() *string#returns
Returns: a string representation of this resource
with(...mixins: IMixin[]): IConstructdef with(self, mixins: IMixin) -> IConstructpublic IConstruct with(IMixin mixins)public IConstruct With(IMixin mixins)func With(Mixins IMixin) IConstruct#Mixins are applied in order. The list of constructs is captured at the start of the call, so constructs added by a mixin will not be visited. Use multiple with() calls if subsequent mixins should apply to added constructs.